gr::gsm::controlled_rotator_cc Class Referenceabstract

<+description of block+> More...

`#include <controlled_rotator_cc.h>`

Inheritance diagram for gr::gsm::controlled_rotator_cc:

## Public Types

typedef std::shared_ptr< controlled_rotator_cc > | sptr

## Public Member Functions

virtual void | set_phase_inc (double phase_inc)=0

## Static Public Member Functions

static sptr | make (double phase_inc)
| Return a shared_ptr to a new instance of gsm::controlled_rotator_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<controlled_rotator_cc> gr::gsm::controlled_rotator_cc::sptr

## Member Function Documentation

## make()

sptr gr::gsm::controlled_rotator_cc::make | ( | double | phase_inc | ) |

static

Return a shared_ptr to a new instance of gsm::controlled_rotator_cc.

To avoid accidental use of raw pointers, gsm::controlled_rotator_cc's constructor is in a private implementation class. gsm::controlled_rotator_cc::make is the public interface for creating new instances.

## set_phase_inc()

virtual void gr::gsm::controlled_rotator_cc::set_phase_inc | ( | double | phase_inc | ) |

pure virtual

Implemented in gr::gsm::controlled_rotator_cc_impl.

The documentation for this class was generated from the following file:

- controlled_rotator_cc.h